PPIx::Regexp::Structure::Assertion(3)

NAME
PPIx::Regexp::Structure::Assertion - Represent a parenthesized assertion

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{(?<=foo)bar}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Structure::Assertion" is a PPIx::Regexp::Structure.

"PPIx::Regexp::Structure::Assertion" has no descendants.

DESCRIPTION
This class represents one of the parenthesized assertions, either look ahead or look behind, and either positive or negative.

METHODS
This class provides the following public methods beyond those provided by its superclass.

  is_look_ahead
This method returns a true value if the assertion is a look-ahead assertion, or a false value if it is a look-behind assertion.

  is_positive
This method returns a true value if the assertion is a positive assertion, or a false value if it is a negative assertion.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.